org.apache.nutch.scoring.webgraph

## Class LinkDumper.Inverter.InvertReducer

- java.lang.Object
- - org.apache.hadoop.mapreduce.Reducer<Text,ObjectWritable,Text,LinkDumper.LinkNode>
  - - org.apache.nutch.scoring.webgraph.LinkDumper.Inverter.InvertReducer

- Enclosing class:
    LinkDumper.Inverter

      public static class LinkDumper.Inverter.InvertReducer
      extends Reducer<Text,ObjectWritable,Text,LinkDumper.LinkNode>

  Inverts outlinks to inlinks while attaching node information to the outlink.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Reducer

      `Reducer.Context`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvertReducer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `reduce(Text key, Iterable<ObjectWritable> values, Reducer.Context context)`
    `void` | `setup(Reducer.Context context)`

    - ### Methods inherited from class org.apache.hadoop.mapreduce.Reducer

      `cleanup, run`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InvertReducer

          public InvertReducer()

  - ### Method Detail

    - #### setup

          public void setup(Reducer.Context context)

      Overrides:
        `setup` in class `Reducer<Text,ObjectWritable,Text,LinkDumper.LinkNode>`

    - #### reduce

          public void reduce(Text key,
                             Iterable<ObjectWritable> values,
                             Reducer.Context context)
                      throws IOException,
                             InterruptedException

      Overrides:
        `reduce` in class `Reducer<Text,ObjectWritable,Text,LinkDumper.LinkNode>`
      Throws:
        `IOException`
        `InterruptedException`

Copyright © 2021 The Apache Software Foundation